summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuangrongFu <fu.guangrong@zte.com.cn>2021-03-09 18:28:13 +0800
committerGuangrongFu <fu.guangrong@zte.com.cn>2021-03-09 18:28:13 +0800
commitbf43529b242519e3c8c690820bba8dd4e8831d8a (patch)
treeaadc999239bcd9dfc4c2c0ba22e8d02c00008fc0
parent74ade28e3e5d8bfa2d4d82ae394c98de034b8ec6 (diff)
Init DB Using envsubst
Change-Id: I764626136258f3fb23561ee90a46653ebdbe9413 Issue-ID: HOLMES-396 Signed-off-by: GuangrongFu <fu.guangrong@zte.com.cn>
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/initDB.sh27
-rw-r--r--rulemgt-standalone/src/main/assembly/bin/run.sh14
-rw-r--r--version.properties4
3 files changed, 31 insertions, 14 deletions
diff --git a/rulemgt-standalone/src/main/assembly/bin/initDB.sh b/rulemgt-standalone/src/main/assembly/bin/initDB.sh
index 46fb1e6..32ba72a 100644
--- a/rulemgt-standalone/src/main/assembly/bin/initDB.sh
+++ b/rulemgt-standalone/src/main/assembly/bin/initDB.sh
@@ -25,9 +25,13 @@ host=$5
echo "Initializing the holmes rule management database..."
main_path=$HOME/..
-sed -i "s|DBNAME|$dbname|g" "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
-sed -i "s|DBUSER|$user|g" "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
-sed -i "s|DBPWD|$password|g" "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
+if [[ -d /opt/hrmconfig ]]; then
+ cp /opt/hrmconfig/onap-holmes_rulemgt-createobj.sql "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
+else
+ sed -i "s|DBNAME|$dbname|g" "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
+ sed -i "s|DBUSER|$user|g" "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
+ sed -i "s|DBPWD|$password|g" "$main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql"
+fi
cat $main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql
echo "dbname=$dbname"
@@ -35,11 +39,20 @@ echo "user=$user"
echo "password=$password"
echo "port=$port"
echo "host=$host"
-export PGPASSWORD=$password
-psql -U $user -p $port -h $host -d $dbname -f $main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql
-psql -U $user -p $port -h $host -d $dbname --command 'select * from aplus_rule;'
+
+if [[ -z `env | grep PGPASSWORD` ]]; then
+ export PGPASSWORD=$password
+ need_unset=1
+fi
+
+psql -U "$user" -p "$port" -h "$host" -d "$dbname" -f $main_path/dbscripts/postgresql/onap-holmes_rulemgt-createobj.sql
+psql -U "$user" -p "$port" -h "$host" -d "$dbname" --command 'select * from aplus_rule;'
sql_result=$?
-unset PGPASSWORD
+
+if [[ $need_unset -eq 1 ]]; then
+ unset PGPASSWORD
+fi
+
echo "sql_result=$sql_result"
if [ $sql_result != 0 ] ; then
echo "Failed to initialize the database!"
diff --git a/rulemgt-standalone/src/main/assembly/bin/run.sh b/rulemgt-standalone/src/main/assembly/bin/run.sh
index bb5884b..3e0ff97 100644
--- a/rulemgt-standalone/src/main/assembly/bin/run.sh
+++ b/rulemgt-standalone/src/main/assembly/bin/run.sh
@@ -48,10 +48,14 @@ if [ -z ${DB_NAME} ]; then
echo "No database is name is specified. Use the default value \"$DB_NAME\"."
fi
-sed -i "s|user:.*|user: $JDBC_USERNAME|" "$main_path/conf/rulemgt.yml"
-sed -i "s|password:.*|password: $JDBC_PASSWORD|" "$main_path/conf/rulemgt.yml"
-sed -i "s|url:.*|url: jdbc:postgresql://$URL_JDBC/$DB_NAME|" "$main_path/conf/rulemgt.yml"
-sed -i "s|msbServerAddr:.*|msbServerAddr: http://$MSB_ADDR|" "$main_path/conf/rulemgt.yml"
+# if deployed using helm, use the helm-generated configuration file.
+if [[ -d /opt/hrmconfig ]]; then
+ cp /opt/hrmconfig/rulemgt.yml "$main_path/conf/rulemgt.yml"
+else
+ sed -i "s|user:.*|user: $JDBC_USERNAME|" "$main_path/conf/rulemgt.yml"
+ sed -i "s|password:.*|password: $JDBC_PASSWORD|" "$main_path/conf/rulemgt.yml"
+ sed -i "s|url:.*|url: jdbc:postgresql://$URL_JDBC/$DB_NAME|" "$main_path/conf/rulemgt.yml"
+fi
export SERVICE_IP=`hostname -i`
echo SERVICE_IP=${SERVICE_IP}
@@ -96,7 +100,7 @@ else
fi
-${RUNHOME}/initDB.sh $JDBC_USERNAME $JDBC_PASSWORD $DB_NAME $DB_PORT "${URL_JDBC%:*}"
+${RUNHOME}/initDB.sh "$JDBC_USERNAME" "$JDBC_PASSWORD" "$DB_NAME" "$DB_PORT" "${URL_JDBC%:*}"
#Register the fronten to MSB
diff --git a/version.properties b/version.properties
index e4b2e4a..70bc126 100644
--- a/version.properties
+++ b/version.properties
@@ -3,8 +3,8 @@
# because they are used in Jenkins, whose plug-in doesn't support
major=1
-minor=2
-patch=9
+minor=3
+patch=0
base_version=${major}.${minor}.${patch}